##### Search XDoclet

An abstract base class for all sub-tasks. Common code and the contract is defined here.

Because of the way Ant is designed all setter methods automatically are settable config parameters. Note that by default init() method inherits default setting from the containing task via DocletContext. Setter methods in sub-task gives the user finer control over config parameters of the sub-task.

### Implementing Class

xdoclet.SubTask

### Attributes

Attribute | Description | Required
--- | --- | ---
subTaskName | Sets an optional name for the subtask that will be seen in XDoclet's debug messages. | No.
destDir | Sets the directory where the generated file(s) will be written. | No.
mergeDir | Specifies the location of the merge directory. This is where XDoclet will look for merge files. | No.

### Nested Elements

Element | Description
--- | ---
configParam | Specifies a configuration parameter for the subtask.